Bug 312957 - kcm crashes when general tab is accessed
Summary: kcm crashes when general tab is accessed
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: kded-module (show other bugs)
Version: git-latest
Platform: Other Linux
: NOR normal
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-09 16:00 UTC by Alin M Elena
Modified: 2013-02-15 21:30 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alin M Elena 2013-01-09 16:00:16 UTC
kcm crashes when general tab is accessed
this is with the plasma move branch

Reproducible: Always
Comment 1 Daniel Vrátil 2013-01-09 16:18:03 UTC
Git commit dc02d76c6b3e47eb78f7a99e0ed4eb9eff1ea49e by Dan Vrátil.
Committed on 09/01/2013 at 17:07.
Pushed by dvratil into branch 'master'.

Use better way of setting NowPLayingListWidget size

The combination of setFlow() and the old way the size of the
widget was calculated caused Qt layout system to end up in
endless recursion (and subsequent crash).
Reviewed-By: David Edmundson

M  +14   -6    config/nowplaying-listwidget.cpp
M  +1    -0    config/nowplaying-listwidget.h

http://commits.kde.org/telepathy-kded-module/dc02d76c6b3e47eb78f7a99e0ed4eb9eff1ea49e